Subject: git over http configuration problem

From: "J. Bakshi" <[email-masked]>
Date: Mon, 6 Sep 2010 12:01:44 +0530

Hello,

I am a newbie in git technology, please bear with me. I am interested to implement git over http along with gitweb.

At first I have already created a demo git repository in the server , After restating apache I can see gitweb at http://192.168.1.1/gitweb 
Here is the apache related configuration

```````````````
Alias /gitweb /var/gitdir/
RewriteEngine On
RewriteRule ^gitweb$ gitweb/ [R]
SetEnv GITWEB_CONFIG /etc/gitweb.conf

<Directory "/var/gitdir/">
AllowOverride AuthConfig
Options +ExecCGI +Indexes
Order allow,deny
Allow from all
DirectoryIndex gitweb.cgi
SetEnv GITWEB_CONFIG "/etc/gitweb.conf"
AddHandler cgi-script .cgi
</Directory>
``````````````````````````

webdav is successfully running in this server for some other project. I have setup webdav for git like

`````````
<IfModule mod_dav_svn.c>
<Location /myproject.git>
Dav on
AuthType Basic
AuthName "My repo with git"
AuthUserFile /home/svn/PASSWORD
<Limitexcept GET HEAD PROPFIND OPTIONS REPORT>
Require valid-user
</Limitexcept>
</Location>
</IfModule>
```````````````

Now testing with cadaver

`````````````````
cadaver https://192.168.1.1/gitweb/test.git

Authentication required for Write access requires a password on server `192.168.1.1':
Username: svnadmin
Password:
Could not open collection:
404 Not Found

``````````````````````

I think there are some configuration problem which can't find the correct location/path. Could anyone kindly enlighten me, actually where the problem is ? Here is /etc/gitweb.conf

````````````````````````
$feature{'blame'}{'default'} = [undef];
$feature{'pickaxe'}{'default'} = [undef];
$feature{'search'}{'default'} = [undef];
$feature{'grep'}{'default'} = 1;
$feature{'snapshot'}{'default'} = ['tgz', 'gzip', 'zip'];
$feature{'snapshot'}{'override'} = 1;

# path to git projects (<project>.git)
$projectroot = "/home/git";

# directory to use for temp files
$git_temp = "/tmp";

$projects_list = $projectroot;
$export_ok = "";
$strict_export = "true";

$site_name = "The Average Geek's Git Repo";
$fallback_encoding = 'utf-8';
@stylesheets = ("gitweb.css");
$projects_list_description_width = 50;
``````````````````````````````````

Thanks for your time